-- ZB_DM_XXZBDBF_HB ZB_DM_新续转保单保费合并


-- ZB_DM_XXZBDBF ZB_DM_新续转保单保费
-- key:xxzbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('xxzbf/',s1.`uwConclueDate`)   as `key`
     ,cast (sumZBUDF(
                CONCAT('xxzbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))         as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
;

-- 分公司  provxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provxxzbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL1COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provxxzbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
;



-- 中支   cityxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityxxzbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL2COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityxxzbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
;

-- 县支   countryxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryxxzbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL3COMCODE`                         as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countryxxzbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
;

-- 团队  teamxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamxxzbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL4COMCODE`                      as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamxxzbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
;

-- ZB_DM_XXZBDBFNDQQB ZB_DM_新续转保单保费年底前起保
-- key:xxzyearbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 3、起保时间小于等于今年

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('xxzyearbf/',s1.`uwConclueDate`) as `key`
     ,cast (sumZBUDF(
                CONCAT('xxzyearbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))           as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')

;

-- 分公司  provxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provxxzyearbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL1COMCODE`                        as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provxxzyearbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 中支  cityxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityxxzyearbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL2COMCODE`                        as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityxxzyearbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 县支  countryxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryxxzyearbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL3COMCODE`                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countryxxzyearbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 团队  teamxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamxxzyearbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL4COMCODE`                        as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamxxzyearbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- ZB_DM_XXZBDBFJDMQQB ZB_DM_新续转保单保费季度末前起保
-- key:xxzquarterbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 2、起保时间的季度小于等于当前季度
-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('xxzquarterbf/',s1.`uwConclueDate`)    as `key`
     ,cast (sumZBUDF(
                CONCAT('xxzquarterbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
-- 起保时间的季度小于等于当前季度
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
           END
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provxxzquarterbf/',s1.`uwConclueDate`)   as `key`
    ,s1.`LEVEL1COMCODE`                              as `hkey`
    ,cast (sumZBUDF(
                CONCAT('provxxzquarterbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                    as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
-- 起保时间的季度小于等于当前季度
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
           END
;


-- 中支  cityxxzquarterbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityxxzquarterbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL2COMCODE`                             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityxxzquarterbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                    as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
-- 起保时间的季度小于等于当前季度
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
           END
;

-- 县支 countryxxzquarterbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryxxzquarterbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL3COMCODE`                                as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countryxxzquarterbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                       as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
-- 起保时间的季度小于等于当前季度
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
           END
;

-- 团队  teamxxzquarterbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamxxzquarterbf/',s1.`uwConclueDate`)   as `key`
     ,s1.`LEVEL4COMCODE`                             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamxxzquarterbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                    as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
-- 起保时间的季度小于等于当前季度
  and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
           WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
           END

;



-- ZB_DM_XXZBDBFYDQQBYDQQB ZB_DM_新续转保单保费月底前起保
-- key:xxzmonthbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 3、起保时间小于等于当月

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('xxzmonthbf/',s1.`uwConclueDate`)  as `key`
     ,cast (sumZBUDF(
                CONCAT('xxzmonthbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))             as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;

-- 分公司   provxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provxxzmonthbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL1COMCODE`                         as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provxxzmonthbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;


-- 中支  cityxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityxxzmonthbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL2COMCODE`                         as `hkey`
     ,cast (sumZBUDF(
                CONCAT('cityxxzmonthbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;

-- 县支  countryxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryxxzmonthbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL3COMCODE`                            as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countryxxzmonthbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                   as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;

-- 团队  teamxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamxxzmonthbf/',s1.`uwConclueDate`) as `key`
     ,s1.`LEVEL4COMCODE`                         as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamxxzmonthbf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,6) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMM')
;



-- ZB_DM_XXZBDBFDRQDDRQB ZB_DM_新续转保单保费当日签单当日起保
-- key:xxzdaybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 3、起保时间等于今天

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('xxzdaybf/',s1.`uwConclueDate`) as `key`
     ,cast (sumZBUDF(
                CONCAT('xxzdaybf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))           as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 分公司 provxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provxxzdaybf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL1COMCODE`                        as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provxxzdaybf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;


-- 中支  cityxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('cityxxzdaybf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL2COMCODE`                        as `hkey`
     ,cast (sumZBUDF(  
                CONCAT('cityxxzdaybf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 县支  countryxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countryxxzdaybf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL3COMCODE`                           as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countryxxzdaybf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))                  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;

-- 团队  teamxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamxxzdaybf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL4COMCODE`                        as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamxxzdaybf/',s1.`uwConclueDate`)
                ,s1.`cost`
                ,s1.`uwConclueDate`
            )  as decimal (18,2))               as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`xxzflag` = '1'
  and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
;